[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TToolButton.GetButtonDrawDetail

Gets the Theme Element Details used for the tool button.

## Declaration

Source position: comctrls.pp line 2175

`protected function TToolButton.GetButtonDrawDetail: TThemedElementDetails; virtual;`

## Description

Uses values in Style, Enabled, and Down to determine the theme elements requested in the method. Calls ThemeElement.GetElementDetails to retrieve the theme details.

Called from the Paint method before the control is drawn.